<?php 

require_once "conexion.php";

class ModeloSucursal {

    static public function MdlMostrarSucursal($tabla, $item, $valor){

        if($item != null){

            $stmt = Conexion:: conectar()->prepare("SELECT * FROM $tabla WHERE $item = :$item");

            $stmt -> bindParam(":".$item, $valor, PDO::PARAM_STR);
            
            $stmt -> execute();

            return $stmt -> fetch();

        }else {

            $stmt = Conexion:: conectar()->prepare("SELECT * FROM $tabla");
            
            $stmt -> execute();

            return $stmt -> fetchAll();
        }

        $stmt -> close();

        $stmt = null;
    }
    /** Registro de sucursal */

    static public function mdlIngresarSucursal($tabla, $datos){

        $stmt = Conexion:: conectar()->prepare("INSERT INTO $tabla(razon_social, tipo_documento, num_documento, direccion, telefono, email, representate, logo) VALUES (:razon_social, :tipo_documento, :num_documento, :direccion, :telefono, :email, :representate, :logo)");
        
        $stmt -> bindParam(":razon_social", $datos["razon_social"], PDO::PARAM_STR);
        $stmt -> bindParam(":tipo_documento", $datos["tipo_documento"], PDO::PARAM_STR);
        $stmt -> bindParam(":num_documento", $datos["num_documento"], PDO::PARAM_STR);
        $stmt -> bindParam(":direccion", $datos["direccion"], PDO::PARAM_STR);
        $stmt -> bindParam(":telefono", $datos["telefono"], PDO::PARAM_STR);
        $stmt -> bindParam(":email", $datos["email"], PDO::PARAM_STR);
        $stmt -> bindParam(":representate", $datos["representate"], PDO::PARAM_STR);
        $stmt -> bindParam(":logo", $datos["logo"], PDO::PARAM_STR);

        if($stmt -> execute()){
            return "ok";
        }else{
            return "error";
        }
        
        $stmt -> close();

        $stmt = null;

        
    }

    static public function mdlEditarSucursal($tabla, $datos){

        $stmt = Conexion::conectar()->prepare("UPDATE $tabla SET razon_social = :razon_social, tipo_documento = :tipo_documento, num_documento = :num_documento, direccion = :direccion, telefono =:telefono, email =:email, representate =:representate, logo =:logo WHERE id = :id");

        $stmt -> bindParam(":id", $datos["id"], PDO::PARAM_STR);
		$stmt -> bindParam(":razon_social", $datos["razon_social"], PDO::PARAM_STR);
        $stmt -> bindParam(":tipo_documento", $datos["tipo_documento"], PDO::PARAM_STR);
        $stmt -> bindParam(":num_documento", $datos["num_documento"], PDO::PARAM_STR);
        $stmt -> bindParam(":direccion", $datos["direccion"], PDO::PARAM_STR);
        $stmt -> bindParam(":telefono", $datos["telefono"], PDO::PARAM_STR);
        $stmt -> bindParam(":email", $datos["email"], PDO::PARAM_STR);
        $stmt -> bindParam(":representate", $datos["representate"], PDO::PARAM_STR);
        $stmt -> bindParam(":logo", $datos["logo"], PDO::PARAM_STR);


		if($stmt -> execute()){

			return "ok";
            
		
		}else{

			return "error";	

		}

		$stmt -> close();

		$stmt = null;

    }

     /*=============================================
	BORRAR SUCURSAL
	=============================================*/

	static public function mdlBorrarSucursal($tabla, $datos){

		$stmt = Conexion::conectar()->prepare("DELETE FROM $tabla WHERE id = :id");

		$stmt -> bindParam(":id", $datos, PDO::PARAM_INT);

		if($stmt -> execute()){

			return "ok";
		
		}else{

			return "error";	

		}

		$stmt -> close();

		$stmt = null;


	}

}